Skip to content

Get one cart by id

GET
/carts/{order_id}
curl --request GET \
--url https://api.fleet.co/platform/v1/carts/42 \
--header 'Authorization: Bearer <token>'
order_id
required

Order id

string
/^[1-9]\d*$/

Example

42

Cart

Media typeapplication/json
object
data
required
object
id
required
integer
purchaser_id
required
integer
nullable
num_devices
required
integer
nullable
rent
required
string
nullable
currency
required
string
nullable
devices
required
Array<object>
object
id
required
integer
name
required
string
nullable
rent
required
string
nullable
product_id
required

Catalog product id when the line is tied to a catalog product

integer
nullable

Example

{
"data": {
"devices": [
{
"product_id": 101
}
]
}
}

Validation error

Media typeapplication/json
object
message
required

Every validation failure, comma-separated

string
type
required
string
Allowed values: validation_error
error
required
string
Allowed values: validation_error

Example

{
"message": "Required, must be an ISO 3166-1 alpha-2 country code",
"type": "validation_error",
"error": "validation_error"
}

Missing, invalid, or revoked API key

Media typetext/plain
string

Example

Unauthorized

Not found

Media typeapplication/json
object
error
required
string
Allowed values: CART_NOT_FOUND

Example

{
"error": "CART_NOT_FOUND"
}

Rate limit exceeded. The RateLimit-* headers give the limit and the reset time.

Media typetext/plain
string

Example

Too many requests, please try again later.

Unexpected server error

Media typeapplication/json
object
error
required
string
Allowed values: INTERNAL_ERROR

Example

{
"error": "INTERNAL_ERROR"
}

Rate limiting is temporarily unavailable; retry with backoff

Media typeapplication/json
object
message
required
string

Example generated

{
"message": "example"
}